Bug 787186 - Two repoquery runs with same repoid but different repositories uses first one
Two repoquery runs with same repoid but different repositories uses first one
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-03 07:47 EST by Pavol Babinčák
Modified: 2014-01-21 18:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 17:23:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Two sample repositories (17.06 KB, application/x-gzip)
2012-02-03 07:47 EST, Pavol Babinčák
no flags Details

  None (edit)
Description Pavol Babinčák 2012-02-03 07:47:53 EST
Created attachment 559284 [details]
Two sample repositories

Description of problem:
Two consecutive repoquery runs with same repoid, firstly with newer repository timestamp, secondly with older repository timestamp shows warning and uses data from first one.

Version-Release number of selected component (if applicable):
yum-utils-1.1.31-2.fc16.noarch
yum-3.4.3-7.fc16.noarch

How reproducible:
100%

Steps to Reproduce:
1. Download & unpack attached repositories into cwd.
2. Run
repoquery -a --repoid=foobar --repofrompath=foobar,file://`pwd`/repo1

(prints kross-interpreters-0:4.7.2-1.fc16.x86_64)
3. Run
repoquery -a --repoid=foobar --repofrompath=foobar,file://`pwd`/repo2
  
Actual results:
Prints:

Not using downloaded repomd.xml because it is older than what we have:
  Current   : Fri Feb  3 13:36:43 2012
  Downloaded: Fri Feb  3 13:36:33 2012
kross-interpreters-0:4.7.2-1.fc16.x86_64


Expected results:
Print without warning:
color-filesystem-0:1-8.noarch

Additional info:
Repository is cached in
/var/tmp/yum-${USER}-*
you might want to delete it before next run.
Comment 1 Fedora End Of Life 2013-01-16 12:34:01 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 17:23:42 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.